#  _ __ ___  _ ____   __
# | '_ ` _ \| '_ \ \ / /
# | | | | | | |_) \ V /
# |_| |_| |_| .__/ \_/
#           |_|
#
# ~/.config/mpv/input.conf

#default-bindings start

# # --- Alphabet Keybinds --- # #
q		quit
Q		quit-watch-later
r		add sub-pos -1
t		add sub-pos +1
o		show-progress
p		cycle pause
A		cycle-values video-aspect "16:9" "4:3" "2.35:1" "-1"
s		screenshot
S		screenshot video
Ctrl+s		screenshot window
Alt+s		screenshot each-frame
d		cycle deinterlace
f		cycle fullscreen
h		seek -5
j		seek -60
k		seek  60
l		seek  5
L		cycle-values loop "inf" "no"
c		cycle sub
C		cycle sub down
v		cycle sub-visibility
B		set speed 1.0
m		cycle mute

# # --- Other Keybinds --- # #
[		multiply speed 0.9091
]		multiply speed 1.1
{		multiply speed 0.5
}		multiply speed 2.0
.		frame-step
,		frame-back-step
>		playlist-next
<		playlist-prev
ESC		set fullscreen no
SPACE		cycle pause
ENTER		playlist-next
PGUP		add chapter  1
PGDWN		add chapter -1
RIGHT		seek  5
LEFT		seek -5
UP		seek  60
DOWN		seek -60
Ctrl+LEFT	no-osd sub-seek -1
Ctrl+RIGHT	no-osd sub-seek  1

# # --- Mouse Bindings --- # #
MOUSE_BTN0		ignore
MOUSE_BTN0_DBL		cycle fullscreen
MOUSE_BTN1		cycle fullscreen
MOUSE_BTN2		cycle pause
MOUSE_BTN3		seek  10
MOUSE_BTN4		seek -10
Shift+MOUSE_BTN3	add volume -2
Shift+MOUSE_BTN4	add volume  2
AXIS_UP			seek  10
AXIS_DOWN		seek -10
AXIS_LEFT		seek  5
AXIS_RIGHT		seek -5

# # --- Unassigned --- # #
# ? stop
# ? ab-loop
# ? sub-step -1
# ? sub-step +1
# ? add sub-scale +0.1
# ? add sub-scale -0.1
# ? add sub-delay -0.1
# ? add sub-delay +0.1
# ? add audio-delay  0.100
# ? add audio-delay -0.100
# ? add balance -0.1
# ? add balance  0.1
# ? add contrast -1
# ? add contrast  1
# ? add brightness -1
# ? add brightness  1
# ? add gamma -1
# ? add gamma  1
# ? add saturation -1
# ? add saturation  1
# ? add panscan -0.1
# ? add panscan +0.1
# ? set window-scale 0.5
# ? set window-scale 1.0
# ? set window-scale 2.0
# ? cycle audio
# ? cycle angle
# ? cycle ontop
# ? cycle edition
# ? cycle sub-forced-only
# ? cycle program
# ? show-text "${filename}"
